Results 1 to 5 of 5

Thread: OpenOffice 3.0 update problem w/dependencies

Hybrid View

  1. #1
    Join Date
    Jun 2008
    Location
    Boston MA area
    Posts
    61

    Default OpenOffice 3.0 update problem w/dependencies

    I'm trying to update to OO 3.0 but I'm getting some dependency problems. YaST2 can't find libicuuc.so.40 and libpython2.6.so.1.0. I'm trying to install v3.0.0.3.5-1.2 from the OpenOffice repo. Any ideas on where these two updated libraries can be found? I don't see them in any of the repos I use.

  2. #2
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    301

    Default Re: OpenOffice 3.0 update problem w/dependencies

    Hi,

    a few more informations would be helpful: which suse version do you use and which repositories are is use (post the output of zypper lr )

    It looks like you've added the wrong repository because python 2.6 is not part of suse 11.0 and below (I guess python 2.6 is part of factory). For opensuse 11.0 you have to add Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.0 for example.

    hope this helps

  3. #3
    Join Date
    Jun 2008
    Location
    Boston MA area
    Posts
    61

    Default Re: OpenOffice 3.0 update problem w/dependencies

    I use opensuse 11.0. Here's my zyppr lr output:

    # | Alias | Name | Enabled | Refresh
    ---+------------------------------------------------------------------------------------+------------------------------------------------------------------------------------+---------+--------
    1 | Index of /repositories/server:/monitoring/openSUSE_11.0 | Index of /repositories/server:/monitoring/openSUSE_11.0 | Yes | Yes
    2 | repo-debug | openSUSE-11.0-Debug | No | No
    3 | JAVA | JAVA | Yes | Yes
    4 | GNOME_Community | GNOME Community | Yes | Yes
    5 | repo-oss | openSUSE-11.0-Oss | Yes | No
    6 | KDE3_Community | KDE3 Community | Yes | Yes
    7 | KDE3_Core | KDE3 Core | Yes | Yes
    8 | openSUSE_11.0 | openSUSE_11.0 | Yes | Yes
    9 | OpenOffice | OpenOffice | Yes | Yes
    10 | home:FunkyPenguin:gwibber | home:FunkyPenguin:gwibber | Yes | Yes
    11 | openSUSE-11.0-Updates | openSUSE-11.0-Updates | Yes | Yes
    12 | Index of /repositories/Virtualization:/VirtualBox/openSUSE_11.0 | Index of /repositories/Virtualization:/VirtualBox/openSUSE_11.0 | Yes | Yes
    13 | Packman | Packman | Yes | Yes
    14 | repo-non-oss | openSUSE-11.0-Non-Oss | Yes | No
    15 | NVIDIA Repository | NVIDIA Repository | Yes | Yes
    16 | nVidia | nVidia | Yes | Yes
    17 | GNOME_Stable | GNOME Stable | Yes | Yes
    18 | KDE3_Backports | KDE3 Backports | Yes | Yes
    19 | openSUSE-DVD 11.0 | openSUSE-DVD 11.0 | No | No

  4. #4
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    301

    Default Re: OpenOffice 3.0 update problem w/dependencies

    Hi,

    sorry just forget the -u option so rerun with zypper lr -u

    hope this helps

  5. #5
    Join Date
    Jun 2008
    Location
    Boston MA area
    Posts
    61

    Default Re: OpenOffice 3.0 update problem w/dependencies

    But thanks, that seemed to work. I took out the OpenOffice Factory one out and added the OO Stable one and all is well.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •